event::Engine_1_0_1::Rule Struct Reference

A Rule binds an action to a condition. More...

`import"EventEngine.idl";`

## Public Attributes

string | id
| Rule ID.
string | name
| User-defined name.
boolean | isSystem
| `true` for system-defined rules
boolean | isEnabled
| `true` if the rule is enabled
boolean | isAutoRearm
| `true` for auto-rearming rules
boolean | hasMatched
| `true` if the rule has matched since being armed
Condition | condition
| Trigger condition.
vector< string > | actionIds
| List of action IDs.
vector< KeyValue > | arguments
| Argument map.

## Detailed Description

A Rule binds an action to a condition.

The 'id' is an unique identification within the scope of this event engine. The 'name' is unique as well and used by the GUI as user readable identificator. The flag 'isAutoRearm' determines whether actions are triggered again after condition reoccurres. The 'hasMatched' flag is true if the condition was true once and the rule is not rearmed yet. The 'isSystem' flag is readonly and if set marks the action as not deletable. The 'actionIds' are the actions to perform if the rule evaluates to true. The arguments are passed to the actions.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/EventEngine.idl